summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Seth House <seth@eseth.com>2010-05-12 23:33:46 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:46 +0200
commit9e6923f009ca94403b6ee172b7fca3408e085ae9 (patch)
tree1655044dc31cef159895b5dc3dacf051c8b1c0b6
parent5c5bd91d149a2a4367707c83d39b5729be9e75a8 (diff)
downloadslackbuilds-9e6923f009ca94403b6ee172b7fca3408e085ae9.tar.gz
slackbuilds-9e6923f009ca94403b6ee172b7fca3408e085ae9.tar.xz
system/postgis: Added to 12.2 repository
-rw-r--r--system/postgis/README6
-rw-r--r--system/postgis/postgis.SlackBuild76
-rw-r--r--system/postgis/postgis.info8
-rw-r--r--system/postgis/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/system/postgis/README b/system/postgis/README
new file mode 100644
index 0000000000..6cc5c4097e
--- /dev/null
+++ b/system/postgis/README
@@ -0,0 +1,6 @@
+PostGIS adds support for geographic objects to the PostgreSQL object-relational
+database. In effect, PostGIS "spatially enables" the PostgreSQL server,
+allowing it to be used as a backend spatial database for geographic information
+systems (GIS), much like ESRI's SDE or Oracle's Spatial extension.
+
+This requires postgresql.
diff --git a/system/postgis/postgis.SlackBuild b/system/postgis/postgis.SlackBuild
new file mode 100644
index 0000000000..b5879474c8
--- /dev/null
+++ b/system/postgis/postgis.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for postgis
+# Written by Seth House <seth@eseth.com>
+
+PRGNAM=postgis
+VERSION=1.3.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="COPYING CREDITS ChangeLog NEWS README.postgis TODO"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do \
+ ln -s $(readlink $i).gz $i.gz; \
+ rm $i; \
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/postgis/postgis.info b/system/postgis/postgis.info
new file mode 100644
index 0000000000..f6e39fa3cd
--- /dev/null
+++ b/system/postgis/postgis.info
@@ -0,0 +1,8 @@
+PRGNAM="postgis"
+VERSION="1.3.5"
+HOMEPAGE="http://postgis.refractions.net/"
+DOWNLOAD="http://postgis.refractions.net/download/postgis-1.3.5.tar.gz"
+MD5SUM="a36a68d169122ebfd07874af72a8c39b"
+MAINTAINER="Seth House"
+EMAIL="seth@eseth.com"
+APPROVED="rworkman,michiel"
diff --git a/system/postgis/slack-desc b/system/postgis/slack-desc
new file mode 100644
index 0000000000..6ab66cf4e3
--- /dev/null
+++ b/system/postgis/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+postgis: PostGIS adds support for geographic objects to PostgreSQL.
+postgis:
+postgis: PostGIS adds support for geographic objects to the PostgreSQL
+postgis: object-relational database. In effect, PostGIS "spatially enables" the
+postgis: PostgreSQL server, allowing it to be used as a backend spatial
+postgis: database for geographic information systems (GIS), much like ESRI's
+postgis: SDE or Oracle's Spatial extension.
+postgis:
+postgis: http://postgis.refractions.net/
+postgis:
+postgis: